# $Revision: 1.8 $, $Date: 2010/08/25 06:10:55 $
%define		gst_req_ver	0.10.24
Summary:	Library for decoding and encoding video in the Dirac format
Summary(pl.UTF-8):	Biblioteka do dekodowania i kodowania obrazu w formacie Dirac
Name:		schroedinger
Version:	1.0.9
Release:	1
License:	MPL 1.1 or LGPL v2 or GPL v2 or MIT
Group:		Libraries
Source0:	http://diracvideo.org/download/schroedinger/%{name}-%{version}.tar.gz
# Source0-md5:	d67ec48b7c506db8c8b49156bf409e60
Patch0:		%{name}-opt.patch
URL:		http://www.diracvideo.org/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1.6
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	liboil-devel >= 1:0.3.16
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	orc-devel >= 0.4.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
Requires:	liboil >= 0.3.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for decoding and encoding video in the Dirac format. It is
implemented in ANSI C and optimized through the use of liboil.
libschroedinger is written as a collaboration between the BBC Research
and Development, David Schleef and Fluendo.

%description -l pl.UTF-8
Biblioteka do dekodowania i kodowania obrazu w formacie Dirac. Jest
zaimplementowana w ANSI C i zoptymalizowana poprzez użycie liboil.
Jest pisana we współpracy między BBC Research and Development, Davidem
Schleefem i Fluendo.

%package devel
Summary:	Header files for Schroedinger library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Schroedinger
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	liboil-devel >= 1:0.3.16

%description devel
Header files for Schroedinger library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Schroedinger.

%package static
Summary:	Static Schroedinger library
Summary(pl.UTF-8):	Statyczna biblioteka Schroedinger
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Schroedinger library.

%description static -l pl.UTF-8
Statyczna biblioteka Schroedinger.

%prep
%setup -q
%patch0 -p1

rm -f m4/libtool.m4 m4/lt*.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING.MIT NEWS TODO
%attr(755,root,root) %{_libdir}/libschroedinger-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libschroedinger-1.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libschroedinger-1.0.so
%{_libdir}/libschroedinger-1.0.la
%{_includedir}/schroedinger-1.0
%{_pkgconfigdir}/schroedinger-1.0.pc
%{_gtkdocdir}/schroedinger

%files static
%defattr(644,root,root,755)
%{_libdir}/libschroedinger-1.0.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: schroedinger.spec,v $
Revision 1.8  2010/08/25 06:10:55  glen
- kill libtool m4 copies

Revision 1.7  2010/03/15 20:08:31  arekm
- up to 1.0.9; gstreamer plugin in gstreamer-plugins-bad

Revision 1.6  2009/09/13 19:57:06  arekm
- md5

Revision 1.5  2009/09/13 19:49:02  charles
- updated to 1.0.7
- updated URL, Source0
- added -gst.patch, -install.patch

Revision 1.4  2008/10/09 15:12:07  glen
- liboil epoch; rel 2

Revision 1.3  2008/08/25 05:58:02  qboosh
- macros for _gtkdocdir

Revision 1.2  2008/08/25 00:58:55  charles
- BR: pkgconfig, s/gstreamer-devel/gstreamer-plugins-base-devel/

Revision 1.1  2008/08/23 17:55:29  qboosh
- new
